#!/bin/sh

# SPDX-FileCopyrightText: 2019 - 2023 MATRIX VISION GmbH <info@matrix-vision.de>
# SPDX-FileCopyrightText: 2023 Balluff GmbH
#
# SPDX-License-Identifier: GPL-2.0-or-later

# This script is usually called automatically by a udev rule

UIO_NUM=${1:-0}
DEV_PATH=${2:-""}

#DEBUG_FILE="/tmp/debug_device_namer.txt"
#rm -f ${DEBUG_FILE}

if test -n "${DEV_PATH}"; then
    #possible names: mvmseq:mvpci0, mvsrc:mvpci0, mvio:mvpci0, mvstat:mvpci0
    SYMLINK_NAME=`cat /sys${DEV_PATH}/name`
    echo ${SYMLINK_NAME}
#    echo "SYMLINK_NAME = ${SYMLINK_NAME}" >> ${DEBUG_FILE}
#else
    #do not echo anything i.e. no symlink will be created by the udev rule
fi

exit 0

