if(MSVC AND NOT ("${CMAKE_CXX_COMPILER_ID}" STREQUAL "Clang")) # todo clang and openmp?
    target_compile_options(${TARGET} PRIVATE $<$<NOT:$<CONFIG:Debug>>:/openmp>)
elseif(OPENMP_FOUND)
    if(NOT (CMAKE_BUILD_TYPE STREQUAL "Debug"))
        if(OpenMP_CXX_FOUND)
            target_link_libraries(${TARGET} PRIVATE OpenMP::OpenMP_CXX)
            message(STATUS "'${TARGET}' will be built using OpenMP version ${OpenMP_CXX_VERSION}")
        endif()
    endif()
endif()
